## python-paho-mqtt 1.3.1

=== Makefile ===
# Set DESTDIR if it isn't given
DESTDIR?=/

.PHONY : all clean clean-build clean-pyc clean-test install test upload

all :
	python ./setup.py build

install : all
	python ./setup.py install --root=${DESTDIR}

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts


clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

test :
	python setup.py test
	$(MAKE) -C test test

upload : test
	python ./setup.py sdist upload

=== requirements.txt ===
pytest==3.0.7
pytest-runner==2.11.1
tox==2.7.0

=== test/Makefile ===
.PHONY: all test clean

all :

test :
	$(MAKE) -C lib test

clean :
	$(MAKE) -C lib clean

=== debian/changelog ===
python-paho-mqtt (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #818113)

 -- Sebastian Reichel <sre@debian.org>  Wed, 10 Jan 2018 00:36:26 +0100

=== debian/control ===
Source: python-paho-mqtt
Maintainer: Sebastian Reichel <sre@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               pylama,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.1.3
Homepage: https://www.eclipse.org/paho/clients/python/
Vcs-Browser: https://salsa.debian.org/debian/python-paho-mqtt
Vcs-Git: https://salsa.debian.org/debian/python-paho-mqtt.git

Package: python-paho-mqtt
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: MQTT client class (Python 2)
 This code provides a client class which enable applications to connect
 to an MQTT broker to publish messages, and to subscribe to topics and
 receive published messages. It also provides some helper functions to
 make publishing one off messages to an MQTT server very straightforward.
 .
 The MQTT protocol is a machine-to-machine (M2M)/”Internet of Things”
 connectivity protocol. Designed as an extremely lightweight publish/
 subscribe messaging transport, it is useful for connections with remote
 locations where a small code footprint is required and/or network
 bandwidth is at a premium.
 .
 This is the Python 2 version of the package.

Package: python3-paho-mqtt
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: MQTT client class (Python 3)
 This code provides a client class which enable applications to connect
 to an MQTT broker to publish messages, and to subscribe to topics and
 receive published messages. It also provides some helper functions to
 make publishing one off messages to an MQTT server very straightforward.
 .
 The MQTT protocol is a machine-to-machine (M2M)/”Internet of Things”
 connectivity protocol. Designed as an extremely lightweight publish/
 subscribe messaging transport, it is useful for connections with remote
 locations where a small code footprint is required and/or network
 bandwidth is at a premium.
 .
 This is the Python 3 version of the package.

## python-paho-mqtt 1.4.0

=== debian/changelog ===
python-paho-mqtt (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Debian Standards Version to 4.2.1

 -- Sebastian Reichel <sre@debian.org>  Sat, 20 Oct 2018 21:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://www.eclipse.org/paho/clients/python/
 Vcs-Browser: https://salsa.debian.org/debian/python-paho-mqtt
 Vcs-Git: https://salsa.debian.org/debian/python-paho-mqtt.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=paho-mqtt

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	# test is broken

## python-paho-mqtt 1.5.0

=== requirements.txt ===
pytest==3.0.7
pytest-runner==2.11.1
tox==2.7.0
mock==3.0.5
pylama==7.7.1

=== debian/changelog ===
python-paho-mqtt (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Debian Standards Version to 4.4.1
  * Update to compat level 12

 -- Sebastian Reichel <sre@debian.org>  Sat, 04 Jan 2020 00:11:04 +0100

python-paho-mqtt (1.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937995

 -- Sandro Tosi <morph@debian.org>  Sat, 05 Oct 2019 21:02:18 -0400

=== debian/control ===
Source: python-paho-mqtt
Maintainer: Sebastian Reichel <sre@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 12~),
               debhelper-compat (= 12),
               dh-python,
               pylama,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://www.eclipse.org/paho/clients/python/
Vcs-Browser: https://salsa.debian.org/debian/python-paho-mqtt
Vcs-Git: https://salsa.debian.org/debian/python-paho-mqtt.git

Package: python3-paho-mqtt
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: MQTT client class (Python 3)
 This code provides a client class which enable applications to connect
 to an MQTT broker to publish messages, and to subscribe to topics and
 receive published messages. It also provides some helper functions to
 make publishing one off messages to an MQTT server very straightforward.
 .
 The MQTT protocol is a machine-to-machine (M2M)/”Internet of Things”
 connectivity protocol. Designed as an extremely lightweight publish/
 subscribe messaging transport, it is useful for connections with remote
 locations where a small code footprint is required and/or network
 bandwidth is at a premium.
 .
 This is the Python 3 version of the package.

## python-paho-mqtt 1.5.1

=== test/lib/Makefile ===
.PHONY: all test
.NOTPARALLEL:

all :

test :
	python ./01-will-set.py python/01-will-set.test
	python ./01-unpwd-set.py python/01-unpwd-set.test
	python ./01-unpwd-unicode-set.py python/01-unpwd-unicode-set.test
	python ./01-unpwd-empty-password-set.py python/01-unpwd-empty-password-set.test
	python ./01-unpwd-empty-set.py python/01-unpwd-empty-set.test
	python ./01-will-unpwd-set.py python/01-will-unpwd-set.test
	python ./01-zero-length-clientid.py python/01-zero-length-clientid.test
	python ./01-no-clean-session.py python/01-no-clean-session.test
	python ./01-keepalive-pingreq.py python/01-keepalive-pingreq.test
	python ./02-subscribe-qos0.py python/02-subscribe-qos0.test
	python ./02-subscribe-qos1.py python/02-subscribe-qos1.test
	python ./02-subscribe-qos2.py python/02-subscribe-qos2.test
	python ./02-unsubscribe.py python/02-unsubscribe.test
	python ./03-publish-qos0.py python/03-publish-qos0.test
	python ./03-publish-qos0-no-payload.py python/03-publish-qos0-no-payload.test
	python ./03-publish-c2b-qos1-timeout.py python/03-publish-c2b-qos1-timeout.test
	python ./03-publish-c2b-qos1-disconnect.py python/03-publish-c2b-qos1-disconnect.test
	python ./03-publish-c2b-qos2-timeout.py python/03-publish-c2b-qos2-timeout.test
	python ./03-publish-c2b-qos2-disconnect.py python/03-publish-c2b-qos2-disconnect.test
	python ./03-publish-b2c-qos1.py python/03-publish-b2c-qos1.test
	python ./03-publish-b2c-qos2.py python/03-publish-b2c-qos2.test
	python ./03-publish-helper-qos0.py python/03-publish-helper-qos0.test
	python ./03-publish-helper-qos1-disconnect.py python/03-publish-helper-qos1-disconnect.test
	python ./04-retain-qos0.py python/04-retain-qos0.test
	python ./08-ssl-connect-no-auth.py python/08-ssl-connect-no-auth.test
	python ./08-ssl-connect-cert-auth.py python/08-ssl-connect-cert-auth.test
	python ./08-ssl-bad-cacert.py python/08-ssl-bad-cacert.test

=== debian/changelog ===
python-paho-mqtt (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Debian Standards Version to 4.5.1
  * Update to compat level 13

 -- Sebastian Reichel <sre@debian.org>  Mon, 04 Jan 2021 21:40:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Maintainer: Sebastian Reichel <sre@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pylama,
                python3-all,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.eclipse.org/paho/clients/python/
 Vcs-Browser: https://salsa.debian.org/debian/python-paho-mqtt
 Vcs-Git: https://salsa.debian.org/debian/python-paho-mqtt.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=paho-mqtt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# test is broken

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-paho-mqtt-$1\.tar\.gz/ \
  https://github.com/eclipse/paho.mqtt.python/tags .*/v?(\d\S+)\.tar\.gz

## python-paho-mqtt 1.6.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # Set DESTDIR if it isn't given
 DESTDIR?=/
+PYTHON?=python3
 
 .PHONY : all clean clean-build clean-pyc clean-test install test upload
 
 all :
-	python ./setup.py build
+	$(PYTHON) ./setup.py build
 
 install : all
-	python ./setup.py install --root=${DESTDIR}
+	$(PYTHON) ./setup.py install --root=${DESTDIR}
 
 clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts
 
@@ -31,8 +32,8 @@
 	rm -fr htmlcov/
 
 test :
-	python setup.py test
+	$(PYTHON) setup.py test
 	$(MAKE) -C test test
 
 upload : test
-	python ./setup.py sdist upload
+	$(PYTHON) ./setup.py sdist upload

=== requirements.txt ===
mock==3.0.5
pylama==7.7.1
pytest==4.6.6; python_version < '3.0'
pytest==5.2.2; python_version >= '3.0'
pytest-runner==5.2
tox==3.14.0

=== test/lib/Makefile ===
.PHONY: all test
.NOTPARALLEL:

PYTHON?=python3

all :

test :
	$(PYTHON) ./01-asyncio.py python/01-asyncio.test
	$(PYTHON) ./01-decorators.py python/01-decorators.test
	$(PYTHON) ./01-keepalive-pingreq.py python/01-keepalive-pingreq.test
	$(PYTHON) ./01-no-clean-session.py python/01-no-clean-session.test
	$(PYTHON) ./01-reconnect-on-failure.py python/01-reconnect-on-failure.test
	$(PYTHON) ./01-unpwd-empty-password-set.py python/01-unpwd-empty-password-set.test
	$(PYTHON) ./01-unpwd-empty-set.py python/01-unpwd-empty-set.test
	$(PYTHON) ./01-unpwd-set.py python/01-unpwd-set.test
	$(PYTHON) ./01-unpwd-unicode-set.py python/01-unpwd-unicode-set.test
	$(PYTHON) ./01-will-set.py python/01-will-set.test
	$(PYTHON) ./01-will-unpwd-set.py python/01-will-unpwd-set.test
	$(PYTHON) ./01-zero-length-clientid.py python/01-zero-length-clientid.test
	$(PYTHON) ./02-subscribe-qos0.py python/02-subscribe-qos0.test
	$(PYTHON) ./02-subscribe-qos1.py python/02-subscribe-qos1.test
	$(PYTHON) ./02-subscribe-qos2.py python/02-subscribe-qos2.test
	$(PYTHON) ./02-unsubscribe.py python/02-unsubscribe.test
	$(PYTHON) ./03-publish-b2c-qos1.py python/03-publish-b2c-qos1.test
	$(PYTHON) ./03-publish-c2b-qos1-disconnect.py python/03-publish-c2b-qos1-disconnect.test
	$(PYTHON) ./03-publish-c2b-qos2-disconnect.py python/03-publish-c2b-qos2-disconnect.test
	$(PYTHON) ./03-publish-helper-qos0.py python/03-publish-helper-qos0.test
	$(PYTHON) ./03-publish-helper-qos0-v5.py python/03-publish-helper-qos0-v5.test
	$(PYTHON) ./03-publish-helper-qos1-disconnect.py python/03-publish-helper-qos1-disconnect.test
	$(PYTHON) ./03-publish-qos0-no-payload.py python/03-publish-qos0-no-payload.test
	$(PYTHON) ./03-publish-qos0.py python/03-publish-qos0.test
	$(PYTHON) ./04-retain-qos0.py python/04-retain-qos0.test
	$(PYTHON) ./08-ssl-bad-cacert.py python/08-ssl-bad-cacert.test
	$(PYTHON) ./08-ssl-connect-cert-auth-pw.py python/08-ssl-connect-cert-auth-pw.test
	$(PYTHON) ./08-ssl-connect-cert-auth.py python/08-ssl-connect-cert-auth.test
	$(PYTHON) ./08-ssl-connect-no-auth.py python/08-ssl-connect-no-auth.test

=== debian/changelog ===
python-paho-mqtt (1.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Sebastian Reichel ]
  * Update standards version to 4.6.2, no changes needed.
  * New upstream release (Closes: #1029952)

 -- Sebastian Reichel <sre@debian.org>  Mon, 30 Jan 2023 21:43:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.eclipse.org/paho/clients/python/
 Vcs-Browser: https://salsa.debian.org/debian/python-paho-mqtt
 Vcs-Git: https://salsa.debian.org/debian/python-paho-mqtt.git

## python-paho-mqtt 2.0.0

=== debian/changelog ===
python-paho-mqtt (2.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Thu, 29 Feb 2024 00:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               pylama,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools
+               python3-hatchling,
+               python3-socks
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.eclipse.org/paho/clients/python/

## python-paho-mqtt 2.1.0

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,9 @@
 .PHONY : all clean clean-build clean-pyc clean-test install test upload
 
 all :
-	$(PYTHON) ./setup.py build
 
 install : all
-	$(PYTHON) ./setup.py install --root=${DESTDIR}
+	$(PYTHON) -m pip install -e .
 
 clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts
 
@@ -32,8 +31,8 @@
 	rm -fr htmlcov/
 
 test :
-	$(PYTHON) setup.py test
-	$(MAKE) -C test test
+	$(PYTHON) -m pytest .
 
 upload : test
-	$(PYTHON) ./setup.py sdist upload
+	$(PYTHON) -m hatch build
+	$(PYTHON) -m hatch publish

=== debian/changelog ===
python-paho-mqtt (2.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1087372)
  * Update standards version to 4.7.0, no changes needed.

 -- Sebastian Reichel <sre@debian.org>  Sun, 30 Mar 2025 03:25:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-hatchling,
                python3-socks
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.eclipse.org/paho/clients/python/
 Vcs-Browser: https://salsa.debian.org/debian/python-paho-mqtt
 Vcs-Git: https://salsa.debian.org/debian/python-paho-mqtt.git

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-paho-mqtt-$1\.tar\.gz/,\
uversionmangle=s/rc/~rc/ \
  https://github.com/eclipse/paho.mqtt.python/tags .*/v?(\d\S+)\.tar\.gz
